Check and Repair Tool

From Gramps
Jump to: navigation, search
Gnome-important.png
This plugin was a temporary fix for GRAMPS 3.1.0 or 3.1.1. You should upgrade GRAMPS to 3.1.2. If you previously downloaded this plugin, please remove it from your plugins folder.

This plugin is an updated version of the Check.py that came with GRAMPS 3.1.0 and 3.1.1. It fixes some issues with dates in these versions of GRAMPS which stopped (menu Tools->Database Repair->Check and Repair Database...) from running correctly.

To install the updated Check.py GRAMPS tool Plugin:

  1. Download the updated Check.py file. Save the file to your ./gramps/plugins directory and renamed as Check312.py.
  2. Download the updated summary.glade file. Save the file to the same ./gramps/plugins directory, without changing the name.
  3. In GRAMPS select the menu Help -> Plugin Status
  4. Select Reload, and when the button's colour return select Close.
  5. Now you can run the menu Tools->Database Repair->Check and Repair Database..., and GRAMPS will fix any problems

If you have any issues, please post a note on the GRAMPS Users Mailing List, or add bug report on the Bug Tracker.